## python-biom-format 2.1.10

=== debian/changelog ===
python-biom-format (2.1.10-3ubuntu1) jammy; urgency=medium

  * The h5py issue appears to be solved, so enable builds on
    all architectures again to fix lefse autopkgtest on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 Apr 2022 13:01:17 +0000

python-biom-format (2.1.10-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:26:32 +0000

python-biom-format (2.1.10-3) unstable; urgency=medium

  * Team upload

  [ Stefano Rivera ]
  * Patch: Python 3.10 support. (Closes: #1000423)

  [ Andreas Tille ]
  * Ignore one failing test

 -- Graham Inggs <ginggs@debian.org>  Fri, 03 Dec 2021 16:21:56 +0000

python-biom-format (2.1.10-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python-biom-format-doc: Add Multi-Arch: foreign.
  * add_javascript() was deprecated in v1.8 and removed in v4.0. add_js_file()
    is a successor of the API
    Closes: #997377
  * Ignore failing hdf5 test

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 13:40:36 +0100

python-biom-format (2.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 21 Nov 2020 18:07:53 +0530

python-biom-format (2.1.9-2) unstable; urgency=medium

  * Team upload.
  * remove .coverage files. Closes: #974050

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 10 Nov 2020 10:43:29 +0100

python-biom-format (2.1.9-1) unstable; urgency=medium

  * Team Upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #950929
  * Build-Depends: python3-pytest

  [ Michael R. Crusoe ]
  * Build-Depends: python3-pytest-cov

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Nov 2020 11:23:23 +0100

python-biom-format (2.1.8+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Add python3-h5py to depends (Fixes debci)
  * Fix import-name
  * Fix lintian
  * Create manpages
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 19 Jul 2020 01:26:22 +0530

python-biom-format (2.1.8+dfsg-2) unstable; urgency=medium

  * Build-Depends: python3-matplotlib
    Closes: #955662
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 23:18:06 +0200

=== debian/control ===
Source: python-biom-format
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               help2man,
               bash-completion,
               cython3,
               python3-all-dev,
               python3-click,
               python3-future,
               python3-h5py,
               python3-nose,
               python3-numpy,
               python3-pandas,
               python3-setuptools,
               python3-scipy,
               python3-sphinx,
               python3-matplotlib,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
Homepage: https://biom-format.org/
Rules-Requires-Root: no

Package: python3-biom-format
Architecture: any
Depends: python3-h5py,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-biom-format-doc
Breaks: biom-format-tools (<< 2.1.7+dfsg-3)
Provides: biom-format-tools
Replaces: biom-format-tools (<< 2.1.7+dfsg-3)
Description: Biological Observation Matrix (BIOM) format (Python 3)
 The BIOM file format (canonically pronounced biome) is designed to be a
 general-use format for representing biological sample by observation
 contingency tables. BIOM is a recognized standard for the Earth
 Microbiome Project and is a Genomics Standards Consortium candidate
 project.
 .
 The BIOM format is designed for general use in broad areas of
 comparative -omics. For example, in marker-gene surveys, the primary use
 of this format is to represent OTU tables: the observations in this case
 are OTUs and the matrix contains counts corresponding to the number of
 times each OTU is observed in each sample. With respect to metagenome
 data, this format would be used to represent metagenome tables: the
 observations in this case might correspond to SEED subsystems, and the
 matrix would contain counts corresponding to the number of times each
 subsystem is observed in each metagenome. Similarly, with respect to
 genome data, this format may be used to represent a set of genomes: the
 observations in this case again might correspond to SEED subsystems, and
 the counts would correspond to the number of times each subsystem is
 observed in each genome.
 .
 This package provides the BIOM format library for the Python 3 interpreter.

Package: python-biom-format-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation for BIOM format
 The BIOM file format (canonically pronounced biome) is designed to be a
 general-use format for representing biological sample by observation
 contingency tables. BIOM is a recognized standard for the Earth
 Microbiome Project and is a Genomics Standards Consortium candidate
 project.
 .
 The BIOM format is designed for general use in broad areas of
 comparative -omics. For example, in marker-gene surveys, the primary use
 of this format is to represent OTU tables: the observations in this case
 are OTUs and the matrix contains counts corresponding to the number of
 times each OTU is observed in each sample. With respect to metagenome
 data, this format would be used to represent metagenome tables: the
 observations in this case might correspond to SEED subsystems, and the
 matrix would contain counts corresponding to the number of times each
 subsystem is observed in each metagenome. Similarly, with respect to
 genome data, this format may be used to represent a set of genomes: the
 observations in this case again might correspond to SEED subsystems, and
 the counts would correspond to the number of times each subsystem is
 observed in each genome.
 .
 This package provides the documentation for the BIOM format Python package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export LC_ALL=C.UTF-8

export PYBUILD_NAME=biom-format
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
export examplepkg=python-$(PYBUILD_NAME)-examples
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}

## When trying better hardening the build fails
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with python3,bash-completion,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	# arch
	USE_CYTHON=true dh_auto_build
	# indep:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man doc build/man

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_sphinxdoc --indep

override_dh_fixperms:
	dh_fixperms
	find debian -name exercise_cli.sh -exec chmod +x \{\} \;

override_dh_installexamples:
	dh_installexamples
	find debian -name "*.c" -delete
	find debian -name "*.pyx" -delete
	# move tests from Python3 package to examples package
	if [ ! -d biom/tests ] ; then \
	    mv `find debian/python*$(PYBUILD_NAME) -name tests -type d` biom ; \
	else \
	    find debian/python*$(PYBUILD_NAME) -name tests -type d | xargs rm -rf ; \
	fi

override_dh_auto_install:
	dh_auto_install
	find $(PYBUILD_DESTDIR_python3) -name .coverage -delete

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/biocore/biom-format/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-biom-format 2.1.12

=== Makefile ===
# ----------------------------------------------------------------------------
# Copyright (c) 2013--, biom-format development team.
#
# Distributed under the terms of the Modified BSD License.
#
# The full license is in the file COPYING.txt, distributed with this software.
# ----------------------------------------------------------------------------

ifeq ($(WITH_DOCTEST), TRUE)
	TEST_COMMAND = python setup.py test -a --doctest-modules --doctest-glob='*.pyx'
else
	TEST_COMMAND = python setup.py test 
endif

test:
	$(TEST_COMMAND)
	flake8 biom setup.py

=== debian/changelog ===
python-biom-format (2.1.12-3) unstable; urgency=medium

  * Team upload.
  * d/control: remove python3-nose (Closes: #1018464)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 03 Dec 2022 23:45:03 +0530

python-biom-format (2.1.12-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 20:54:15 +0100

python-biom-format (2.1.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.12
  * Drop d/p/{fix_test.patch,ignore_failing_hdf5_test.patch,
    ignore_one_failing_hdf5_test.patch,python3.10.patch,
    sphinx_add_javascript.patch}
    Refreshed other patches (Closes: #1013713)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Jun 2022 17:35:00 +0530

python-biom-format (2.1.10-4) unstable; urgency=medium

  * Team upload
  * The h5py issue appears to be solved, so enable builds on
    all architectures again to fix lefse autopkgtest on s390x

 -- Graham Inggs <ginggs@debian.org>  Mon, 11 Apr 2022 19:47:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-biom-format
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -14,7 +13,6 @@
                python3-click,
                python3-future,
                python3-h5py,
-               python3-nose,
                python3-numpy,
                python3-pandas,
                python3-setuptools,
@@ -23,7 +21,7 @@
                python3-matplotlib,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
 Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
 Homepage: https://biom-format.org/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/biocore/biom-format/tags .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-biom-format 2.1.15.2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,14 @@
 	TEST_COMMAND = python setup.py test 
 endif
 
+.PHONY: doc lint test
+
 test:
 	$(TEST_COMMAND)
+	sh usage_tests.sh
+
+lint:
 	flake8 biom setup.py
+
+doc:
+	$(MAKE) -C doc clean html

=== debian/changelog ===
python-biom-format (2.1.15.2-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:13:36 +0000

python-biom-format (2.1.15.2-3) unstable; urgency=medium

  * Team Upload.
  * Pull upstream patch to fix FTBFS (Closes: #1044074)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Feb 2024 00:46:33 +0530

python-biom-format (2.1.15.2-2) unstable; urgency=medium

  * Drop python3-future from Build-Depends
    Closes: #1059948
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 21:56:52 +0100

python-biom-format (2.1.15.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #1056323
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: remove Breack+Replaces on obsolete package.
  * d/control: add myself to uploaders.
  * d/control: build depends on python3-nympydoc.
  * Patches:
    - ignore_local_dist-packages.patch: unfuzz.
    - enable_sloppy_sphinx_build.patch: remove; applied upstream.
    - fix_future_import.patch: refresh.
    - sphinx.ext.pngmath.patch: remove; applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Mon, 19 Jun 2023 23:18:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-biom-format
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                help2man,
                bash-completion,
                cython3,
                python3-all-dev,
                python3-click,
-               python3-future,
                python3-h5py,
                python3-numpy,
+               python3-numpydoc,
                python3-pandas,
                python3-setuptools,
                python3-scipy,
@@ -21,7 +22,7 @@
                python3-matplotlib,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
 Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
 Homepage: https://biom-format.org/
@@ -34,9 +35,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Suggests: python-biom-format-doc
-Breaks: biom-format-tools (<< 2.1.7+dfsg-3)
 Provides: biom-format-tools
-Replaces: biom-format-tools (<< 2.1.7+dfsg-3)
 Description: Biological Observation Matrix (BIOM) format (Python 3)
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation
@@ -62,10 +61,10 @@
 
 Package: python-biom-format-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Multi-Arch: foreign
 Description: documentation for BIOM format
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation

## python-biom-format 2.1.16

=== debian/changelog ===
python-biom-format (2.1.16-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:49:57 +0000

python-biom-format (2.1.16-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:18:01 +0000

python-biom-format (2.1.16-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:35:09 +0000

python-biom-format (2.1.16-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:41:43 +0100

python-biom-format (2.1.16-1) unstable; urgency=medium

  * New upstream version 2.1.16
  * fix_future_import.patch: unfuzz.
  * ignore_local_dist-packages.patch: unfuzz.
  * adjust-pd-df-interaction-with-greater-than.patch.
    Patch deleted, as it was applied upstream.
  * d/copyright: account for upstream move to Revised BSD.
  * d/control: declare compliance to standards version 4.7.0.
  * d/{copyright,watch}: no dfsg repack needed anymore.
    Upstream repository has been clean of excluded artifacts since 2.1.9.
  * d/python-biom-format-doc.lintian-overrides: delete.
    The false positive previously documented does not show up anymore.

 -- Étienne Mollier <emollier@debian.org>  Mon, 27 May 2024 20:37:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --with python3,bash-completion,sphinxdoc --buildsystem=pybuild
+	dh $@ --with bash-completion,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	# arch

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/biocore/biom-format/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## python-biom-format 2.1.17

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 # ----------------------------------------------------------------------------
 
 ifeq ($(WITH_DOCTEST), TRUE)
-	TEST_COMMAND = python setup.py test -a --doctest-modules --doctest-glob='*.pyx'
+	TEST_COMMAND = pytest --doctest-modules --doctest-glob='*.pyx'
 else
-	TEST_COMMAND = python setup.py test 
+	TEST_COMMAND = pytest
 endif
 
 .PHONY: doc lint test
@@ -19,7 +19,7 @@
 	sh usage_tests.sh
 
 lint:
-	flake8 biom setup.py
+	flake8 biom setup.py --exclude=biom/tests/long_lines.py
 
 doc:
 	$(MAKE) -C doc clean html

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# -W was removed. Sphinx is complaining that Table properties, like dtype
#  are not included in any toctree. However, that appears incorrect as
#  they are accessible in the _build/html output. 

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* documentation/generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BIOM.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BIOM.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BIOM"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BIOM"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-biom-format (2.1.17-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * New upstream version 2.1.17
  * d/watch: converto to v5 Github template.
  * d/copyright: bump upstream copyright year.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: remove reference to the old fsf address.
  * d/patches/*: normalize Last-Update timestamps.
  * d/{rules,control}: streamline dh_numpy3 integration.
    This addresses supplemental comments in #1102990.

  [ Chris Lamb ]
  * d/rules: remove examples from dist-packages.
    This makes the build reproducible.  (Closes: #1120068, #1102990)

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 21:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                help2man,
                bash-completion,
                cython3,
@@ -14,6 +15,7 @@
                python3-click,
                python3-h5py,
                python3-numpy,
+               python3-numpy-dev,
                python3-numpydoc,
                python3-pandas,
                python3-setuptools,
@@ -22,11 +24,10 @@
                python3-matplotlib,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
 Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
 Homepage: https://biom-format.org/
-Rules-Requires-Root: no
 
 Package: python3-biom-format
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,15 @@
 
 export PYBUILD_NAME=biom-format
 export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
-export examplepkg=python-$(PYBUILD_NAME)-examples
-export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
 
 ## When trying better hardening the build fails
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --with bash-completion,sphinxdoc --buildsystem=pybuild
+	dh $@ --with bash-completion,sphinxdoc,numpy3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	# arch

=== debian/watch ===
Version: 5

Template: Github
Owner: biocore
Project: biom-format
